> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /linkedin/user/experience

> Linkedin Get User Experience

**Price:** 1 credit



## OpenAPI

````yaml /openapi/professional-network.json post /api/linkedin/user/experience
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/linkedin/user/experience:
    post:
      tags:
        - LinkedIn Users
      summary: /linkedin/user/experience
      description: |-
        Linkedin Get User Experience

        **Price:** 1 credit
      operationId: __api_linkedin_user_experience_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LinkedinUserExperiencePayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/LinkedinUserExperience'
                type: array
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    LinkedinUserExperiencePayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        urn:
          $ref: '#/components/schemas/LinkedinURN_Literal_fsd_profile__'
          x-llm-resolve:
            accepts_raw: false
            field: urn
            from: /linkedin/user
        count:
          type: integer
          maximum: 100
          exclusiveMinimum: 0
      type: object
      required:
        - urn
        - count
    LinkedinUserExperience:
      properties:
        '@type':
          type: string
          default: LinkedinUserExperience
        company:
          $ref: '#/components/schemas/LinkedinUserExperienceCompany'
        position:
          anyOf:
            - type: string
            - type: 'null'
        work_type:
          anyOf:
            - $ref: '#/components/schemas/LinkedinWorkType'
            - type: 'null'
        employment:
          anyOf:
            - $ref: '#/components/schemas/LinkedinUserExperienceEmployment'
            - type: 'null'
        interval:
          anyOf:
            - type: string
            - type: 'null'
        period:
          anyOf:
            - type: string
            - type: 'null'
        location:
          anyOf:
            - type: string
            - type: 'null'
        medias:
          anyOf:
            - items:
                $ref: '#/components/schemas/LinkedinUserExperienceMedia'
              type: array
            - type: 'null'
      type: object
      required:
        - company
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    LinkedinURN_Literal_fsd_profile__:
      properties:
        type:
          type: string
          const: fsd_profile
        value:
          type: string
      type: object
      required:
        - type
        - value
    LinkedinUserExperienceCompany:
      properties:
        '@type':
          type: string
          default: LinkedinUserExperienceCompany
        name:
          type: string
        urn:
          anyOf:
            - $ref: '#/components/schemas/LinkedinURN'
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        industry:
          anyOf:
            - $ref: '#/components/schemas/LinkedinURN_Literal_industry__'
            - type: 'null'
        industry_full:
          anyOf:
            - $ref: '#/components/schemas/LinkedinIndustry'
            - type: 'null'
        employee_range:
          anyOf:
            - type: string
            - type: 'null'
        logo_url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    LinkedinWorkType:
      type: string
      enum:
        - on-site
        - hybrid
        - remote
    LinkedinUserExperienceEmployment:
      type: string
      enum:
        - full-time
        - part-time
        - permanent
        - self-employed
        - freelance
        - contract
        - internship
        - apprenticeship
        - indirect contract
    LinkedinUserExperienceMedia:
      properties:
        '@type':
          type: string
          default: LinkedinUserExperienceMedia
        id:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        text:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - title
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    LinkedinURN:
      properties:
        type:
          $ref: '#/components/schemas/LinkedinURNPrefix'
        value:
          type: string
      type: object
      required:
        - type
        - value
    LinkedinURN_Literal_industry__:
      properties:
        type:
          type: string
          const: industry
        value:
          type: string
      type: object
      required:
        - type
        - value
    LinkedinIndustry:
      properties:
        '@type':
          type: string
          default: LinkedinIndustry
        urn:
          $ref: '#/components/schemas/LinkedinURN_Literal_industry__'
        name:
          type: string
        hierarchy:
          type: string
      type: object
      required:
        - urn
        - name
        - hierarchy
        - description
    LinkedinURNPrefix:
      type: string
      enum:
        - fsd_company
        - fsd_group
        - fsd_profile
        - fsd_skill
        - activity
        - comment
        - company
        - group
        - geo
        - pulse
        - member
        - industry
        - ugcPost
        - job
        - message
        - conversation
        - media
        - share
        - linkedInArticle
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````